package main

import (
	"go.wit.com/lib/widget"
	"go.wit.com/toolkits/tree"
)

func initWidget(n *tree.Node) *guiWidget {
	var w *guiWidget
	w = new(guiWidget)

	if n.WidgetType == widget.Root {
		n.WidgetId = 0
		me.treeRoot = n
		return w
	}
	return w
}
